Create Resident Payment: Buildium
https://api.propexo.com/v1/resident-payments/buildium/| Interface | Method |
|---|---|
| Lease Transactions | POST /leases/:leaseId/payments |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The Propexo unique identifier for the resident
The transaction date of the resident payment
The amount of the resident payment, in cents
The type of payment used for the resident payment
Show 7 enum values
CheckCashMoneyOrderCashierCheckDirectDepositCreditCardElectronicPaymentIndicates whether the payee would like to have a receipt emailed
Description of the resident payment
The reference number for the resident payment
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The Propexo unique identifier for the resident
The transaction date of the resident payment
The amount of the resident payment, in cents
The type of payment used for the resident payment
Show 7 enum values
CheckCashMoneyOrderCashierCheckDirectDepositCreditCardElectronicPaymentIndicates whether the payee would like to have a receipt emailed
Description of the resident payment
The reference number for the resident payment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-payments/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"payment_type": "Check",
"send_email_receipt": true
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"resident_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"payment_type": "Check",
"send_email_receipt": true,
"description": "string",
"reference_number": "string"
}
}